.navbar {
    position: fixed;
    width: 100%;
    height: 70px;
    top: 0px;
    z-index: 20;
    background-color: var(--navbar_bg);
    box-shadow: 0 0.5rem 1rem var(--navbar_shadow);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    border-bottom: 1px solid var(--navbar_border);
    transition: height 0.2s;

    &.reduced {
        height: 60px;
    }
}

@supports (backdrop-filter: blur(1px)) {
    .navbar {
        background: var(--navbar_bg_blur);
        backdrop-filter: blur(15px) saturate(1.5);
    }
}

.logo {
    width: 35px;
    height: 35px;
    margin: auto 10px auto auto;
    filter: drop-shadow(var(--logo_shadow) 0px 0px 10px);
    box-shadow: 0 0 10px -10px var(--logo_shadow);
    transition: height 0.2s, width 0.2s;
}

.devprod_flag {
    padding: 5px 15px;
    color: var(--body_color_2);
    background: #c92e2e;
    border-radius: 8px;
    font-size: 15px;
    vertical-align: middle;
    margin-left: 10px;
}

.name {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin: auto 35px;
    font-size: 25px;

    .left {
        display: flex;
        align-items: center;
    }

    .right {
        display: flex;
        align-items: center;

        a {
            margin-left: 15px;
        }

        a.button {
            background: var(--navbar_button_bg);
            font-size: 17px;
            font-family: 'open-sans', 'arial';
            font-weight: normal;
            text-align: center;
            padding: 8px 10px;
            border: 1px solid var(--navbar_button_border);
            border-radius: 8px;
            transition: 0.05s;

            &:hover {
                color: var(--body_color_2);
                background: var(--purple_gradient_1);
                box-shadow: 0px 0px 15px -5px var(--purple_shadow_2);
                border: 1px solid var(--navbar_button_border_hover);
            }

            &:active {
                transform: scale(0.95);
                transition: 0.1s ease-out;
            }
        }
    }

    a {
        color: var(--body_color_1);
        padding: 5px;
        border-radius: 4px;
        font-weight: normal;
        text-decoration: none;

        &:hover,
        &:focus {
            background: var(--a_white_bg);
        }
    }

    .emoji {
        align-self: center;
        display: block;
        cursor: pointer;
    }
}

@media all and (max-width: 800px) {
    .name {
        margin: auto 10px;
    }
}
